%converse operation for relation weight distribution
% clear all; 
% 
% load('1a_mumat.mat');
% load('1a_rsttemp.mat');
% load('1a_sigma.mat');
function [mu_conv,sigma_post_cov,imptdimindx_conv,dim_means_conv ]=converse_func(mumat,sigma_post,imptdimindx,num_sel_dims,dim_means)

dimtotal = size(imptdimindx,1); 
indxrawval = imptdimindx(imptdimindx <= num_sel_dims);
indxrankval = imptdimindx(imptdimindx > num_sel_dims);

indxraw = find(imptdimindx <= num_sel_dims);
indxrank = find(imptdimindx > num_sel_dims);

if size(mumat,2)==2
    mupost = mumat(:,2); 
else
    mupost = mumat(:,1); 
end;
wordA = indxraw;
wordArank = indxrank;
wordB = dimtotal+indxraw;
wordBrank = dimtotal+indxrank;

conversemuindx = [wordB; flipud(wordBrank); wordA ;flipud(wordArank)];
mu_conv = mupost(conversemuindx); 
dim_means_conv = dim_means(conversemuindx); 
imptdimindx_conv = [indxrawval; num_sel_dims*3+1-flipud(indxrankval)];

for i = 1:size(sigma_post,1)
    for j = 1:size(sigma_post,2)
        rawi = conversemuindx(i);
        rawj = conversemuindx(j);
        
        sigma_post_cov(i,j) = sigma_post(rawi, rawj);         
    end;
end;



