%% load golden pair to compute the corr using word2vec method
    
allData=[];
Golddatavalprot = [];semrelsim=[]; 
load([datapath  'Goldwordvec_' filerel{relation_to_learn} '.mat'],'allData'); 

Golddatavalprot=cell2mat(allData(:,2:301));
Goldpairnum(relation_to_learn) = size(Golddatavalprot,1)/2;  %wordpairs;%

for si = 1: Gpairnum(relation_to_learn)
    xa = datavalprot((si-1)*2+1,:);
    xb = datavalprot((si-1)*2+2,:);
    semval=[];
    for gi = 1:Goldpairnum(relation_to_learn)
        xc = Golddatavalprot((gi-1)*2+1,:);
        xd = Golddatavalprot((gi-1)*2+2,:);

        % original word2vec calculation
        Xtemp = [xb-xa+xc; xd];
        semval(gi) = 1-pdist(Xtemp,'cosine'); 

        % Dawn's method
        Xtemp = [xb-xa; xd-xc];
        semval1(gi) = 1-pdist(Xtemp,'cosine'); 

    end;
    semrelsim(si,1) = mean(semval);  % original word2vec similarity calculation
    semrelsim(si,2) = mean(semval1); % similarity calculation between two difference vectors
end;

for si = 1:2
    corrval_w2v(relation_to_learn,si) = corr( humrating{relation_to_learn},semrelsim(:,si),'type','Spearman');
    corrval_w2vPos(relation_to_learn,si) = corr( humrating{relation_to_learn}(indxhumpos),semrelsim(indxhumpos,si),'type','Spearman');
end;
